### Method

# Goa ObjectSkeleton set_chat

#### Declaration [src]

    void
    goa_object_skeleton_set_chat (
      GoaObjectSkeleton* object,
      GoaChat* interface_
    )

#### Description [src]

Sets the `GoaChat` instance for the D-Bus interface org.gnome.OnlineAccounts.Chat on `object`.

#### Parameters

`interface_`

  Type: `GoaChat`

  A `GoaChat` or `NULL` to clear the interface.

  The argument can be `NULL`.
  The data is owned by the caller of the method.